@keyframes glow {
  0% {
    box-shadow: 0 0 20px #fff, 0 0 30px #fff, 0 0 40px #fff, 0 0 50px #0ff, 0 0 60px #0ff, 0 0 70px #0ff, 0 0 80px #0ff;
  }
  50% {
    box-shadow: 0 0 20px #fff, 0 0 30px #fff, 0 0 40px #fff, 0 0 60px #0ff, 0 0 70px #0ff, 0 0 80px #0ff, 0 0 90px #0ff;
  }
  100% {
    box-shadow: 0 0 20px #fff, 0 0 30px #fff, 0 0 40px #fff, 0 0 50px #0ff, 0 0 60px #0ff, 0 0 70px #0ff, 0 0 80px #0ff;
  }
}

.btn-pulse {
  position: relative;
  animation: glow 1s ease-in-out infinite;
}


/*for highlight.js*/
.blink {
  animation: blink 2s infinite;
}

@keyframes blink {
  50% {
    opacity: 0;
  }
}


.blink.red {
  animation: blinker-red 1s cubic-bezier(0.5, 0, 1, 1) infinite;
}

@keyframes blinker-red {
  50% {
    opacity: 0;
  }
  100% {
    color: red;
  }
}

.blink:hover {
  animation: none;
}

.product-card {
  opacity: 0;
  transform: translateY(20px);
  animation: fade-in 0.5s ease forwards;
}

@keyframes fade-in {
  from {
    opacity: 0;
    transform: translateY(20px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}



